
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Set accelerator id for radeonfb.  This id is checked by some user apps such as
DirectFB.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/radeon_base.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/video/aty/radeon_base.c~radeonfb-set-accelerator-id drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~radeonfb-set-accelerator-id	2005-01-23 14:47:30.436570104 -0800
+++ 25-akpm/drivers/video/aty/radeon_base.c	2005-01-23 14:47:30.440569496 -0800
@@ -1828,6 +1828,7 @@ static int __devinit radeon_set_fbinfo (
         info->fix.type_aux = 0;
         info->fix.mmio_start = rinfo->mmio_base_phys;
         info->fix.mmio_len = RADEON_REGSIZE;
+	info->fix.accel = FB_ACCEL_ATI_RADEON;
 
 	fb_alloc_cmap(&info->cmap, 256, 0);
 
_
